commit 01373c68762cab0b09f72ea2901779821f5ade43
Author: freddy77 <freddy77>
Date:   Tue Oct 28 12:50:57 2008 +0000

    relax libTDS check

diff --git a/ChangeLog b/ChangeLog
index 795bcb3..0d3174b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Oct 28 13:50:30 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/tds_checks.c: relax libTDS check
+
 Mon Oct 27 15:25:06 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/sql2tds.c src/odbc/unittests/genparams.c:
 	- implement conversion from SQL_C_WCHAR to no char
@@ -786,4 +789,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2640 2008/10/27 14:27:01 freddy77 Exp $
+$Id: ChangeLog,v 1.2641 2008/10/28 12:50:57 freddy77 Exp $
diff --git a/src/tds/tds_checks.c b/src/tds/tds_checks.c
index 0c2f6c8..2ba07fa 100644
--- a/src/tds/tds_checks.c
+++ b/src/tds/tds_checks.c
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: tds_checks.c,v 1.20 2007/06/21 07:21:21 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tds_checks.c,v 1.21 2008/10/28 12:50:57 freddy77 Exp $");
 
 #if ENABLE_EXTRA_CHECKS
 
@@ -232,7 +232,7 @@ tds_check_column_extra(const TDSCOLUMN * column)
 		assert(column->column_size == column->on_server.column_size);
 	} else {
 		assert(!is_fixed_type(column->column_type));
-		assert(column->char_conv || (column->on_server.column_size == column->column_size || column->on_server.column_size == 0));
+		assert(is_char_type(column->column_type) || (column->on_server.column_size == column->column_size || column->on_server.column_size == 0));
 		assert(column->column_varint_size != 0);
 	}
 

